{% load humanize %} {% load static %}
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en">
	<!--<![endif]-->
	<head>
		<meta charset="utf-8" />
		<title>Iris</title>
		<meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" name="viewport" />
		<meta content="" name="description" />
		<meta content="" name="author" />
		<!-- ================== BEGIN BASE CSS STYLE ================== -->
		<link rel="icon" type="image/png" sizes="96x96" href="{% static 'img/favicon.png' %}" />

		<link href="{% static 'fonts/googleapi.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/jquery-ui/jquery-ui.min.css'%}" rel="stylesheet" />
		<link href="{% static 'plugins/bootstrap/4.1.3/css/bootstrap.min.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/font-awesome/5.3/css/all.min.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/animate/animate.min.css' %}" rel="stylesheet" />
		<link href="{% static 'css/default/style.min.css' %}" rel="stylesheet" />
		<link href="{% static 'css/default/style-responsive.min.css' %}" rel="stylesheet" />
		<link href="{% static 'css/default/theme/default.css' %}" rel="stylesheet" id="theme" />
		<!-- ================== END BASE CSS STYLE ================== -->

		<!-- ================== BEGIN PAGE LEVEL STYLE ================== -->
		<link href="{% static 'plugins/jquery-jvectormap/jquery-jvectormap.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/bootstrap-datepicker/css/bootstrap-datepicker.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />

		<link href="{% static 'plugins/bootstrap-sweetalert/dist/sweetalert.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/jquery-tag-it/css/jquery.tagit.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/bootstrap-wysihtml5/src/bootstrap3-wysihtml5.css' %}" rel="stylesheet" />

		<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap.min.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/DataTables/extensions/RowReorder/css/rowReorder.bootstrap.min.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/DataTables/extensions/Buttons/css/buttons.bootstrap.min.css' %} " rel="stylesheet" />
		<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.dataTables.min.css' %}" rel="stylesheet" />

		<!-- ================== END PAGE LEVEL STYLE ================== -->

		<!-- ================== BEGIN BASE JS ================== -->
		<script src="{% static 'plugins/pace/pace.min.js' %}"></script>
		<!-- ================== END BASE JS ================== -->

		<link href="{% static 'treant-js-master/Treant.css' %}" rel="stylesheet" id="theme" />
		<link href="{% static 'treant-js-master/vendor/perfect-scrollbar/perfect-scrollbar.css' %}" rel="stylesheet" id="theme" />

		<link href="{% static 'plugins/jquery-smart-wizard/src/css/smart_wizard.css' %}" rel="stylesheet" />
		<link href="{% static 'plugins/parsley/src/parsley.css' %}" rel="stylesheet" />
		<link href="{% static 'css/custom.css' %} " rel="stylesheet" />
		<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.8/css/select2.min.css" rel="stylesheet" />

		<link href="{% static 'plugins/bootstrap-datepicker/css/bootstrap-datepicker.css' %} " rel="stylesheet" />
		<link href="{% static 'plugins/bootstrap-datepicker/css/bootstrap-datepicker3.css' %} " rel="stylesheet" />
		<link href="{% static 'plugins/bootstrap-daterangepicker/daterangepicker.css' %} " rel="stylesheet" />
		<link href="{% static 'plugins/bootstrap-eonasdan-datetimepicker/build/css/bootstrap-datetimepicker.min.css' %} " rel="stylesheet" />
		<link href="{% static 'plugins/bootstrap-colorpalette/css/bootstrap-colorpalette.css' %} " rel="stylesheet" />

		<style type="text/css">
			#tree-simple body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, form, fieldset, input, textarea, p, blockquote, th, td {
				margin: 0;
				padding: 0;
			}

			/* optional Container STYLES */
			#tree-simple.chart {
				height: 600px;
				width: 750px;
				margin: 5px;
				margin: 15px auto;
				border: 3px solid #ddd;
				border-radius: 3px;
			}

			#tree-simple .node {
				font-size: 11px;
			}

			#tree-simple .node.big-commpany {
				cursor: pointer;
				padding: 0 2px;
				min-width: 60px;
				text-align: center;
				height: 30px;
				border: 2px solid #e8e8e3;
				border-radius: 2px;
				box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
				background: #fff;
			}
			#tree-simple .node.big-commpany:active {
				box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.1);
				margin: 1px 0 0 1px;
				border: 2px solid #d3d3cb;
			}

			#tree-simple .node.big-commpany .node-name {
				line-height: 30px;
				color: #9b9b9b;
			}

			#tree-simple .node.big-commpany:hover .node-name {
				color: #8b8b8b;
				text-shadow: 1px 1px rgba(0, 0, 0, 0.15);
			}
		</style>
	</head>
	<body id="body">
		<!-- begin #page-loader -->
		<input id="token_user" type="hidden" value="{{ TOKEN }}" />
		<div id="page-loader" class="fade show"><span class="spinner"></span></div>
		<!-- end #page-loader -->

		<!-- begin #page-container -->

		<div id="page-container" class="fade page-sidebar-fixed page-header-fixed ">
			<!-- begin #header -->
			<div id="header" class="header navbar-default">
				<!-- begin navbar-header -->
				{% include 'Interfaz/Componentes/navbar-header.html' %}
				<!-- end navbar-header -->
				<!-- begin header-nav -->
				{% include 'Interfaz/Componentes/header-nav.html' %}
				<!-- end header navigation right -->
			</div>
			<!-- end #header -->

			<!-- begin #sidebar -->
			<div id="sidebar" class="sidebar">
				<!-- begin sidebar scrollbar -->
				<div data-scrollbar="true" data-height="100%">
					<!-- begin sidebar user -->
					{% include 'Interfaz/Componentes/sidebar-user.html' %}
					<!-- end sidebar user -->
					<!-- begin sidebar nav -->
					{% include 'Interfaz/Componentes/sidebar-nav.html' %}
					<!-- end sidebar nav -->
					<!-- begin sidebar minify button -->
					<li>
						<a href="javascript:;" class="sidebar-minify-btn" data-click="sidebar-minify"><i class="fa fa-angle-double-left"></i></a>
					</li>
					<!-- end sidebar minify button -->
				</div>

				<!-- end sidebar scrollbar -->
			</div>
			<div class="sidebar-bg"></div>
			<!-- end #sidebar -->

			<!-- begin #content -->
			<div id="content" class="content">
				{% block content %} {% endblock %}
			</div>
			<!-- end theme-panel -->

			<!-- begin scroll to top btn -->
			<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
			<!-- end scroll to top btn -->
		</div>
		<!-- end page container -->

		<!-- ================== BEGIN BASE JS ================== -->
		<script src="{% static 'plugins/jquery/jquery-3.3.1.min.js' %}"></script>

		<script src="{% static 'plugins/jquery/jquery-migrate-1.1.0.min.js' %}"></script>
		<script src="{% static 'plugins/jquery-ui/jquery-ui.min.js' %}"></script>
		<script src="{% static 'plugins/bootstrap/4.1.3/js/bootstrap.bundle.min.js' %}"></script>
		<!-- [if lt IE 9]-->

		<script src="{% static 'crossbrowserjs/html5shiv.js' %}"></script>
		<script src="{% static 'crossbrowserjs/respond.min.js' %}"></script>
		<script src="{% static 'crossbrowserjs/excanvas.min.js' %}"></script>

		<!-- [endif] -->
		<script src="{% static 'plugins/slimscroll/jquery.slimscroll.min.js' %}"></script>
		<script src="{% static 'plugins/js-cookie/js.cookie.js' %}"></script>
		<script src="{% static 'js/theme/default.min.js' %}"></script>
		<script src="{% static 'js/apps.min.js' %}"></script>
		<!-- ================== END BASE JS ================== -->
		<!-- ================== BEGIN PAGE LEVEL JS ================== -->
		<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
		<script src="{% static 'plugins/bootstrap-sweetalert/dist/sweetalert.min.js' %}"></script>
		<script src="{% static 'plugins/flot/jquery.flot.min.js' %}"></script>
		<script src="{% static 'plugins/flot/jquery.flot.time.min.js' %}"></script>
		<script src="{% static 'plugins/flot/jquery.flot.resize.min.js' %}"></script>
		<script src="{% static 'plugins/flot/jquery.flot.pie.min.js' %}"></script>
		<script src="{% static 'plugins/sparkline/jquery.sparkline.js' %}"></script>
		<script src="{% static 'plugins/jquery-jvectormap/jquery-jvectormap.min.js' %}"></script>
		<script src="{% static 'plugins/jquery-jvectormap/jquery-jvectormap-world-mill-en.js' %}"></script>
		<script src="{% static 'plugins/bootstrap-datepicker/js/bootstrap-datepicker.js' %}"></script>
		<script src="{% static 'js/demo/dashboard.min.js' %}"></script>
		<script src="{% static 'plugins/jquery-tag-it/js/tag-it.min.js' %}"></script>
		<script src="{% static 'plugins/bootstrap-wysihtml5/dist/bootstrap3-wysihtml5.all.min.js' %}"></script>
		<script src="{% static 'plugins/js-cookie/js.cookie.js' %}"></script>
		<script src="{% static 'js/demo/render.highlight.js' %}"></script>
		<script src="{% static 'plugins/highlight/highlight.common.js' %}"></script>

		<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.js' %}"></script>
		<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
		<script src="{% static 'plugins/DataTables/extensions/RowReorder/js/dataTables.rowReorder.min.js' %}"></script>

		<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>

		<script src="{% static 'treant-js-master/vendor/raphael.js' %}"></script>
		<script src="{% static 'treant-js-master/Treant.js' %}"></script>
		<script src="{% static 'treant-js-master/vendor/jquery.mousewheel.js' %}"></script>
		<script src="{% static 'treant-js-master/vendor/perfect-scrollbar/perfect-scrollbar.js' %}"></script>
		<script src="{% static 'plugins/parsley/dist/parsley.js' %}"></script>
		<script src="{% static 'plugins/jquery-smart-wizard/src/js/jquery.smartWizard.js' %}"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.8/js/select2.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/3.4.5/fuse.min.js"></script>
		<script src="{% static 'plugins/bootstrap-daterangepicker/moment.js' %}"></script>
		<script src="{% static 'js/moment_locate.js' %}"></script>
		<script src="{% static 'js/moment-timezone-with-data.js' %}"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/moment-duration-format/1.3.0/moment-duration-format.min.js"></script>
		<script src="{% static 'plugins/bootstrap-daterangepicker/daterangepicker.js' %}"></script>
		<script src="{% static 'plugins/bootstrap-eonasdan-datetimepicker/build/js/bootstrap-datetimepicker.min.js' %}"></script>
		<script src="{% static 'plugins/bootstrap-colorpalette/js/bootstrap-colorpalette.js' %}"></script>

		<script src="{% static 'plugins/DataTables/extensions/Buttons/js/dataTables.buttons.min.js' %}"></script>
		<script src="{% static 'plugins/DataTables/extensions/Buttons/js/buttons.flash.min.js' %}"></script>
		<script src="{% static 'plugins/DataTables/extensions/Buttons/js/jszip.min.js' %}"></script>
		<script src="{% static 'plugins/DataTables/extensions/Buttons/js/pdfmake.min.js' %}"></script>
		<script src="{% static 'plugins/DataTables/extensions/Buttons/js/vfs_fonts.min.js' %}"></script>
		<script src="{% static 'plugins/DataTables/extensions/Buttons/js/buttons.html5.min.js' %}"></script>
		<script src="{% static 'plugins/DataTables/extensions/Buttons/js/buttons.print.min.js' %}"></script>

		<script src="{% static 'commponents/index.js' %}"></script>
		<script
			src="https://browser.sentry-cdn.com/5.15.5/bundle.min.js"
			integrity="sha384-wF7Jc4ZlWVxe/L8Ji3hOIBeTgo/HwFuaeEfjGmS3EXAG7Y+7Kjjr91gJpJtr+PAT"
			crossorigin="anonymous"
		></script>
		<!-- ================== END PAGE LEVEL JS ================== -->
		<script>
			url_base = '{{DOMAIN_API}}';
			url_base_templates = '{{DOMAIN_VIEW}}';
			$(document).ready(function() {
				App.init();
			});

			/**
			 * Llama a la @function {void} checkSesion del @file {index.js}
			 */
			checkSesion();
			
			/**
			 * 	@plugin {conf} Sentry para la capura principal de los errores ocurridos en el front end
			 * 	@module {@param @param } beforeSend el cual permite enviar una configuracion al 
			 * 	 back end antes de enviarla al servidor Sentry.
			 *  @return event Evento que sera enviado al servidor Sentry. 
			 */
			Sentry.init({
				dsn: 'http://cf9970f7e28a42da9d843724b306e284@190.113.247.197:9000/2',
				beforeSend: (event, hint) => {
					/** Se le pasa el ambito del desarrollo */
					event['environment'] = '{{SENTRY_ET}}';

					/** @namespace {object} notify  Se le pasa el ambito del desarrollo*/
					let notify = {
						environment: '{{SENTRY_ET}}',
						event_id: event.event_id,
						url: event.request.url !== undefined ? event.request.url : '',
						datatime: new Date().toLocaleString(),
						type: event.exception.values[0].type,
						value: event.exception.values[0].value
					};

					/**
					 * @API [ajax] Se envia la notificacion al back end para que este proceda a notificarla en el Slack.
					 */
					$.post(url_base.format('api/v1/slack/sentry_frontend_error/'), notify, (data, status, xhr) =>{})

					return event;
				}
			});

			/**
			 * @function logout - Despues de que se cierra la session realiza las siguiente acciones:
			 * @module {remove} Cookies - para remover la cookie que esta el localstorage del navegador.
			 * @callback {@link: window.location } - para redirecionar a la pagina del login
 			 * 	en caso de no poseer seccion actidad
			 */
			function logout() {
				Cookies.remove('token');
				window.location.replace(url_base_templates.format('Iris/inicio/'));
			}

		</script>

		<script src="{% static 'commponents/commponents/navbar-header.js' %}"></script>
		<script src="{% static 'commponents/commponents/header-nav.js' %}"></script>

		{% block logic %} {% endblock %}
	</body>
</html>
